from functools import lru_cache


@lru_cache(None)
def f(n):
    if n == 1:
        return 0
    i = 2
    while True:
        if n % i == 0:
            n //= i
            break
        i += 1
    return 1 + f(n)


n = int(input())
a = list(map(int, input().split()))
ans = [1] * n
for i in range(len(a)):
    if f(a[i]) % 2 == 0:
        ans[i] = 2
print(*ans)
